Package: qt4-perl / 4.8.4-1.3

Metadata

Package Version Patches format
qt4-perl 4.8.4-1.3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
disable_tests | (download)

qtcore/CMakeLists.txt | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

---
qtcore4.pmupdate.diff | (download)

qtcore/lib/QtCore4.pm | 95 62 + 33 - 0 !
1 file changed, 62 insertions(+), 33 deletions(-)

 update qtcore/lib/qtcore4.pm to 4.14.1 for perl 5.20 compat
 As described both the the Debian and KDE bugs, there are multiple bad things
 that happen with 4.8.4 is run with perl 5.20 due to QtCore4.pm being out of
 date (there are issues with 4.14.1 also, but those are addressed in other
 patches).  This patch matches exactly the upstream changes and each change
 appears tied to issues with 5.20 and resolving #765681
perl5.20.diff | (download)

qtgui/lib/QtGui4.pm | 3 1 + 2 - 0 !
qtgui/src/QtGui4.xs | 7 7 + 0 - 0 !
2 files changed, 8 insertions(+), 2 deletions(-)

 port to perl 5.20
 Devel::Peek in Perl 5.20 no longer exports SvREFCNT_inc.  Put a copy in
 QtGui4::_internal instead.
additionalperl5.20.diff | (download)

qtcore/src/util.cpp | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

---
Qt 0.96.0 Initialize smokeperl_object properly.patch | (download)

qtcore/src/util.cpp | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 [patch] initialize smokeperl_object properly
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This patch fixes this build failure with GCC 6:

/builddir/build/BUILD/Qt-0.96.0/qtcore/src/util.cpp:2248:59: error: cannot convert 'bool' to 'void*' in initialization
         static smokeperl_object nothis = { 0, 0, 0, false };
                                                           ^

CPAN RT#111630

Signed-off-by: Petr Písař <ppisar@redhat.com>


Bug: https://bugs.kde.org/show_bug.cgi?id=360844
Bug-Debian: https://bugs.debian.org/811672